Subject: Re: how to pass kernel command line arguments?

From: Ethan Benson <[email-masked]>
Date: Wed, 8 Nov 2000 03:24:27 -0900

On Wed, Nov 08, 2000 at 09:42:45PM +1100, Steven Hanley wrote:
> 
> All
> 
> Okay I shall be more specific, how do I pass kernel command line arguments
> (say for example a video=whatever) to the kernel when booting the kernel on
> the hfs floppy disk image that comes with debian potato. Does anyone know?

hexeditor /mnt/floppy/.resource/System

there is a resource in there somewhere that has the kernel arguments,
ive heard its not too hard to find and edit in a hex editor.
unfortunatly miboot really badly needs a text based configuration file...

> I suspect the .rootinfo may have something to do with the bootup for linux,
> though not sure and I dont know where to find docs on this stuff either.

no .rootinfo is a hfs thing, don't mess with it, all you would likely
end up doing is trashing the filesystem.  

if you have access to macos and resedit/resourcerer you might find
those simpler to edit the System file.  (beware that MacOS may make
the floppy unbootable if you mount it read-write on macos.  (ive heard
its more forgiving of floppies then disk partitions though, ymmv as
usual))

-- 
Ethan Benson
http://www.alaska.net/~erbenson/